﻿Option Strict On

Imports System.Net.Http
' 空白ページのアイテム テンプレートについては、http://go.microsoft.com/fwlink/?LinkId=234238 を参照してください

''' <summary>
''' それ自体で使用できる空白ページまたはフレーム内に移動できる空白ページ。
''' </summary>
''' 
Public Class DataInfo
    Property title As String
    Property description As String
    Property link As String
End Class
Public NotInheritable Class MainPage
    Inherits Page

    ''' <summary>
    ''' このページがフレームに表示されるときに呼び出されます。
    ''' </summary>
    ''' <param name="e">このページにどのように到達したかを説明するイベント データ。Parameter 
    ''' プロパティは、通常、ページを構成するために使用します。</param>
    Protected Overrides Async Sub OnNavigatedTo(e As Navigation.NavigationEventArgs)
        Dim myHttpClient As New HttpClient
        Dim myUri As Uri = New Uri("http://www.microsoft.com/japan/msdn/rss/feed/rss.aspx", UriKind.Absolute)
        Dim result = Await myHttpClient.GetStringAsync(myUri)
        Dim xmldoc As XElement = XElement.Parse(result)

        Dim myDataInfo As New List(Of DataInfo)
        For Each myResult In From c In xmldoc.Descendants("item") Select c
            With myDataInfo
                .Add(New DataInfo With {.title = myResult.Element("title").Value, .description = myResult.Element("description").Value, .link = myResult.Element("link").Value})
            End With

        Next
        ListBox1.ItemsSource = myDataInfo
    End Sub

    Private Sub ListBox1_SelectionChanged(sender As Object, e As SelectionChangedEventArgs) Handles ListBox1.SelectionChanged
        myFrame.Visibility = Windows.UI.Xaml.Visibility.Visible
        Dim myUrl = DirectCast(ListBox1.SelectedItem, DataInfo).link
        backButton.IsEnabled = True
        myFrame.Navigate(GetType(WebViewPage), myUrl)
    End Sub


    Private Sub backButton_Click(sender As Object, e As RoutedEventArgs) Handles backButton.Click
        myFrame.Visibility = Windows.UI.Xaml.Visibility.Collapsed
    End Sub

End Class
